# module RackTimeoutExtensions

This integration is a good example of how to change how exceptions get grouped by Sentry's UI. Simply override raven_context in the exception class, and append something to the fingerprint that will distinguish exceptions in the way you desire.

### Public Instance Methods

raven_context() click to toggle source

    # File lib/raven/integrations/rack-timeout.rb, line 9
    def raven_context
      # Only rack-timeout 0.3.0+ provides the request environment, but we can't
      # gate this based on a gem version constant because rack-timeout does
      # not provide one.
      { :fingerprint => ["{{ default }}", env["REQUEST_URI"]] } if defined?(env)
    end